Editing page doesn't refresh cache of redirects to that page
Closed, DeclinedPublic

Description

Author: thomas.dalton

Description:
It seems that editing a page doesn't refresh the cache for urls of redirects to that page. This has been reported on the English Wikipedia Reference Desk talk page (each sub-desk's talk page redirects to the main talk page, so the bug shows up there): https://secure.wikimedia.org/wikipedia/en/w/index.php?title=Wikipedia_talk:Reference_desk&oldid=378055482


Version: unspecified
Severity: major
Whiteboard: aklapper-moreinfo

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz24737.
bzimport created this task.Via LegacyAug 9 2010, 8:28 PM
bzimport added a comment.Via ConduitMar 3 2011, 8:39 AM

arno.raymond.lagrange wrote:

Since 1.17 editing pages doesn't refresh after editing:

  • one get previous version
  • by flagged revisions one get unflagged

We have to refresh by purging.

bzimport added a comment.Via ConduitMar 12 2011, 12:59 PM

ningauble wrote:

(In reply to comment #1)

Since 1.17 editing pages doesn't refresh after editing...

See separate bug 27891.

bzimport added a comment.Via ConduitOct 24 2011, 3:38 PM

rickstambaugh wrote:

I'm new at this but I think my problem relates to this bug. While editing when I click on "Show preview" the refresh jumps to the bottom of the page near the editing window rather than stay at the top of the preview. The editing window however reverts to the top rather than staying at the place where I was editing. This is a relatively new - and annoying - phenomena.

RobLa-WMF added a comment.Via ConduitFeb 19 2012, 7:33 PM

More discussion of this issue quoted below. This is a really tough problem to solve well with our current caching infrastructure, but we should still keep an eye on ways to fix this.

http://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)/Archive_96#Parser_cache_not_invalidated_for_redirect_pages

The short story is that when anonymous readers use redirects, such as WP:RD/L, they often get outdated versions of the target page. This seems to be a problem with the way our servers handle caching of page versions. I tried raising the issue on the #wikimedia-tech IRC channel but didn't really arouse any interest, and I don't really know where to go next. Could you ask someone from the operations side to take a look at the VP/T thread and comment there? I know there have been problems in the past with stale redirects and operation of the job queue but I'm not sure if they are considered solved. The problem is pretty much beyond what any of us locals can help with, so I think we could use some heavyweight tech support, even if it's just to say "can't be fixed" or "don't care". The problem seems to affect usability of the wiki for anonymous editors, if you can help with getting it looked at, that would be great. Thanks & regards! Franamax(talk) 23:22, 21 January 2012 (UTC)

Aklapper added a comment.Via ConduitMar 18 2013, 3:41 PM

(In reply to comment #4)

Could you ask someone from the operations side to take a look at the
VP/T thread and comment there?

Adding "ops" keyword so I won't forget.

Aklapper added a comment.Via ConduitMar 22 2013, 10:33 AM

Just realized that comment 4 is from Feb 2012 (not Feb 2013) before we moved to a new datacenter in January 2013. Unfortunately we cannot ask Franamax anymore whose post on VP was quoted in comment 4.

Refering to comment 4, a problem that old revisions of pages were shown when not logged in with an outdated revision history was bug 44391 which got fixed a few weeks ago. Though this does not mention redirects it could have influenced this.

Thomas / Rick: Does the problem that you described in comment 0 / comment 1 still exist nowadays, or can this report be closed?

Aklapper added a comment.Via ConduitApr 2 2013, 3:56 PM

Thomas / Rick: Does the problem that you described in comment 0 / comment 1
still exist nowadays (after our datacenter move), or can this report be closed?

[Removing ops/platformeng keywords for the time being for search results, until we know better.]

Aklapper added a comment.Via ConduitApr 15 2013, 11:55 AM

Thomas / Rick: Does the problem that you described in comment 0 / comment 1
still exist nowadays (after our datacenter move), or can this report be closed?

[Removing ops/platformeng keywords for the time being for search results, until
we know better.]

Aklapper added a comment.Via ConduitJun 21 2013, 10:45 PM

Unfortunately closing this report as no further information has been provided.

Thomas / Rick: Please feel free to reopen this report if the problem still happens. Thanks!

Add Comment